net.sf.jasperreports.engine.export

## Class JRXlsMetadataExporter

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,OutputStreamExporterOutput,E>
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporter<RC,C,E>
    - - net.sf.jasperreports.engine.export.JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>
      - - net.sf.jasperreports.engine.export.JRXlsMetadataExporter

- All Implemented Interfaces:
    JRExporter<ExporterInput,XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,OutputStreamExporterOutput>, Exporter<ExporterInput,XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,OutputStreamExporterOutput>

      public class JRXlsMetadataExporter
      extends JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>

  Version:
    $Id: JRXlsMetadataExporter.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRXlsMetadataExporter.BoxStyle`
    `protected class` | `JRXlsMetadataExporter.CellSettings`
    `protected class` | `JRXlsMetadataExporter.ExporterContext`
    `protected class` | `JRXlsMetadataExporter.StyleInfo`

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `JRXlsAbstractExporter.SheetInfo, JRXlsAbstractExporter.TextAlignHolder`

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>>` | `anchorLinks`
    `protected java.util.Map<java.lang.String,org.apache.poi.hssf.usermodel.HSSFName>` | `anchorNames`
    `protected short` | `backgroundMode`
    `protected short` | `blackIndex`
    `protected org.apache.poi.hssf.usermodel.HSSFCell` | `cell`
    `protected java.util.Map<java.lang.String,org.apache.poi.hssf.usermodel.HSSFCellStyle>` | `columnStylesMap`
    `protected java.util.Map<java.lang.String,java.lang.Integer>` | `columnWidths`
    `protected org.apache.poi.ss.usermodel.CreationHelper` | `createHelper`
    `static java.lang.String` | `CURRENT_ROW_HEIGHT`
    `protected short` | `customColorIndex`
    `protected org.apache.poi.hssf.usermodel.HSSFDataFormat` | `dataFormat`
    `protected static java.lang.String` | `EMPTY_SHEET_NAME`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `emptyCellStyle`
    `protected java.util.Map<JRXlsMetadataExporter.StyleInfo,org.apache.poi.hssf.usermodel.HSSFCellStyle>` | `loadedCellStyles`
    `static short` | `MAX_COLOR_INDEX`
    `static short` | `MIN_COLOR_INDEX`
    `protected java.util.Map<java.lang.Integer,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>>` | `pageLinks`
    `protected org.apache.poi.hssf.usermodel.HSSFPatriarch` | `patriarch`
    `protected org.apache.poi.hssf.usermodel.HSSFRow` | `row`
    `protected org.apache.poi.hssf.usermodel.HSSFSheet` | `sheet`
    `protected short` | `whiteIndex`
    `protected org.apache.poi.hssf.usermodel.HSSFWorkbook` | `workbook`
    `static java.lang.String` | `XLS_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getElementHandler(JRGenericElementType, String)`.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractMetadataExporter

      `columnNames, columnNamesMap, PROPERTY_COLUMN_NAME, PROPERTY_DATA, PROPERTY_REPEAT_VALUE, rowIndex`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `autoFilterEnd, autoFilterStart, DEFAULT_SHEET_NAME_PREFIX, defaultFont, firstPageNotSet, gridColumnFreezeIndex, gridRowFreezeIndex, invalidCharReplacement, isFreezeColumnEdge, isFreezeRowEdge, keepTemplateSheets, loadedFonts, maxColumnFreezeIndex, maxRowFreezeIndex, nature, onePagePerSheetMap, pageIndex, PROPERTY_AUTO_FILTER, PROPERTY_AUTO_FIT_COLUMN, PROPERTY_AUTO_FIT_ROW, PROPERTY_BREAK_AFTER_ROW, PROPERTY_BREAK_BEFORE_ROW, PROPERTY_CELL_FORMULA, PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_CELL_PATTERN, PROPERTY_COLUMN_WIDTH, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_COLUMN_EDGE, PROPERTY_FREEZE_ROW, PROPERTY_FREEZE_ROW_EDGE, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_PAGE_SCALE, PROPERTY_ROW_OUTLINE_LEVEL_PREFIX, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAME, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS, PROPERTY_WRAP_TEXT, reportIndex, sheetIndex, sheetNames, sheetNamesIndex, sheetNamesMap, sheetsBeforeCurrentReport, sheetsBeforeCurrentReportMap, workbookTemplate, XLS_EXPORTER_PROPERTIES_PREFIX`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXlsMetadataExporter()`
    `JRXlsMetadataExporter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBlankCell(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, java.util.Map<java.lang.String,java.lang.Object> cellValueMap, java.lang.String currentColumnName)`
    `protected void` | `addBlankElement(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle, boolean repeatValue, java.lang.String currentColumnName)`
    `protected void` | `addCell(JRXlsMetadataExporter.CellSettings cellSettings, java.util.Map<java.lang.String,java.lang.Object> cellValueMap, java.lang.String currentColumnName)`
    `protected void` | `addTextElement(JRXlsMetadataExporter.CellSettings cellSettings, java.lang.String textStr, boolean repeatValue, java.lang.String currentColumnName)`
    `protected void` | `adjustColumnWidth(java.lang.String columnName, int columnWidth, java.lang.Boolean isAutofit)`
    `protected void` | `adjustRowHeight(int rowHeight, java.lang.Boolean isAutofit)`
    `protected void` | `closeWorkbook(java.io.OutputStream os)`
    `protected void` | `createSheet(CutsInfo xCuts, JRXlsAbstractExporter.SheetInfo sheetInfo)`
    `protected void` | `createSheet(JRXlsAbstractExporter.SheetInfo sheetInfo)`
    `protected void` | `exportFrame(JRPrintFrame frame)`
    `protected void` | `exportGenericElement(JRGenericPrintElement element)`
    `void` | `exportImage(JRPrintImage element)`
    `protected void` | `exportLine(JRPrintLine line)`
    `protected void` | `exportRectangle(JRPrintGraphicElement element)`
    `protected void` | `exportText(JRPrintText textElement)`
    `protected static short` | `getBorderStyle(JRPen pen)`
    `protected java.lang.Class<XlsMetadataExporterConfiguration>` | `getConfigurationInterface()`
    `java.lang.String` | `getExporterKey()`
    `java.lang.String` | `getExporterPropertiesPrefix()` Returns the properties prefix for the current exporter.
    `protected java.lang.Class<XlsMetadataReportConfiguration>` | `getItemConfigurationInterface()`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(JRXlsMetadataExporter.StyleInfo style)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRXlsMetadataExporter.BoxStyle box)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRXlsMetadataExporter.BoxStyle box, boolean isCellLocked, boolean isCellHidden)`
    `protected org.apache.poi.hssf.usermodel.HSSFFont` | `getLoadedFont(JRFont font, short forecolor, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.util.Locale locale)`
    `protected ExporterNature` | `getNature()`
    `protected static org.apache.poi.hssf.util.HSSFColor` | `getNearestColor(java.awt.Color awtColor)`
    `protected org.apache.poi.hssf.usermodel.HSSFRichTextString` | `getRichTextString(JRStyledText styledText, short forecolor, JRFont defaultFont, java.util.Locale locale)`
    `static JRXlsAbstractExporter.TextAlignHolder` | `getTextAlignHolder(JRPrintText textElement)`
    `protected org.apache.poi.hssf.util.HSSFColor` | `getWorkbookColor(java.awt.Color awtColor)`
    `protected void` | `initExport()`
    `protected void` | `initReport()`
    `protected void` | `openWorkbook(java.io.OutputStream os)`
    `protected void` | `setAutoFilter(java.lang.String autoFilterRange)`
    `protected void` | `setColumnName(java.lang.String currentColumnName)`
    `protected void` | `setColumnWidth(int col, int width)`
    `protected void` | `setColumnWidth(int col, int width, boolean autoFit)`
    `protected void` | `setFreezePane(int rowIndex, int colIndex, boolean isRowEdge, boolean isColumnEdge)`
    `protected void` | `setHyperlinkCell(JRPrintHyperlink hyperlink, JRXlsMetadataExporter.CellSettings cellSettings)`
    `protected void` | `setRowHeight(org.apache.poi.hssf.usermodel.HSSFRow row)`
    `protected void` | `setRowHeight(int rowIndex, int lastRowHeight, Cut yCut, XlsRowLevelInfo levelInfo)`
    `protected void` | `setRowLevels(XlsRowLevelInfo levelInfo, java.lang.String level)`
    `protected void` | `setScale(java.lang.Integer scale)`
    `protected void` | `setSheetName(java.lang.String sheetName)`
    `protected void` | `writeCurrentRow(java.util.Map<java.lang.String,java.lang.Object> currentRow, java.util.Map<java.lang.String,java.lang.Object> repeatedValues)`
    `protected void` | `writeReportHeader()` Writes the header column names

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractMetadataExporter

      `addBlankCell, addOccupiedCell, exportFrame, exportGenericElement, exportImage, exportLine, exportPage, exportRectangle, exportReportToStream, exportText, getFormula, getImageBorderCorrection, getStyledText, isCellHidden, isCellLocked, isColumnReadOnTime, isWrapText, setColumnNames, setRowHeight`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `calculateHeightForDinAN, calculateHeightForDinBN, calculateHeightForDinCN, calculateWidthForDinAN, calculateWidthForDinBN, calculateWidthForDinCN, ensureOutput, exportPage, exportReport, exportSheet, getColumnIndex, getColumnName, getConvertedPattern, getDefaultFont, getSheetProps, getWorkbookTemplate, hasGlobalSheetNames, isUseTimeZone, isValidScale, isWorkbookTemplateKeepSheets, mergeAndSetRowLevels, resetAutoFilters, setColumnWidths, setFreezePane, setSheetNames, setWorkbookTemplate, setWorkbookTemplateKeepSheets, translateDateValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, getBooleanCellValue, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterOutput, getHyperlinkProducer, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setJasperReportsContext, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XLS_EXPORTER_KEY

          public static final java.lang.String XLS_EXPORTER_KEY

      The exporter key, as used in `GenericElementHandlerEnviroment.getElementHandler(JRGenericElementType, String)`.
      See Also:
        Constant Field Values

    - #### MAX_COLOR_INDEX

          public static short MAX_COLOR_INDEX

    - #### MIN_COLOR_INDEX

          public static short MIN_COLOR_INDEX

    - #### CURRENT_ROW_HEIGHT

          public static java.lang.String CURRENT_ROW_HEIGHT

    - #### loadedCellStyles

          protected java.util.Map<JRXlsMetadataExporter.StyleInfo,org.apache.poi.hssf.usermodel.HSSFCellStyle> loadedCellStyles

    - #### anchorLinks

          protected java.util.Map<java.lang.String,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>> anchorLinks

    - #### pageLinks

          protected java.util.Map<java.lang.Integer,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>> pageLinks

    - #### anchorNames

          protected java.util.Map<java.lang.String,org.apache.poi.hssf.usermodel.HSSFName> anchorNames

    - #### workbook

          protected org.apache.poi.hssf.usermodel.HSSFWorkbook workbook

    - #### sheet

          protected org.apache.poi.hssf.usermodel.HSSFSheet sheet

    - #### row

          protected org.apache.poi.hssf.usermodel.HSSFRow row

    - #### cell

          protected org.apache.poi.hssf.usermodel.HSSFCell cell

    - #### emptyCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle emptyCellStyle

    - #### createHelper

          protected org.apache.poi.ss.usermodel.CreationHelper createHelper

    - #### columnStylesMap

          protected java.util.Map<java.lang.String,org.apache.poi.hssf.usermodel.HSSFCellStyle> columnStylesMap

    - #### columnWidths

          protected java.util.Map<java.lang.String,java.lang.Integer> columnWidths

    - #### whiteIndex

          protected short whiteIndex

    - #### blackIndex

          protected short blackIndex

    - #### customColorIndex

          protected short customColorIndex

    - #### backgroundMode

          protected short backgroundMode

    - #### dataFormat

          protected org.apache.poi.hssf.usermodel.HSSFDataFormat dataFormat

    - #### patriarch

          protected org.apache.poi.hssf.usermodel.HSSFPatriarch patriarch

    - #### EMPTY_SHEET_NAME

          protected static final java.lang.String EMPTY_SHEET_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRXlsMetadataExporter

          public JRXlsMetadataExporter()

      See Also:
        `JRXlsMetadataExporter(JasperReportsContext)`

    - #### JRXlsMetadataExporter

          public JRXlsMetadataExporter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getConfigurationInterface

          protected java.lang.Class<XlsMetadataExporterConfiguration> getConfigurationInterface()

      Specified by:
        `getConfigurationInterface` in class `JRAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`

    - #### getItemConfigurationInterface

          protected java.lang.Class<XlsMetadataReportConfiguration> getItemConfigurationInterface()

      Specified by:
        `getItemConfigurationInterface` in class `JRAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`

    - #### initExport

          protected void initExport()

      Overrides:
        `initExport` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### initReport

          protected void initReport()

      Overrides:
        `initReport` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### openWorkbook

          protected void openWorkbook(java.io.OutputStream os)
                               throws JRException

      Specified by:
        `openWorkbook` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### createSheet

          protected void createSheet(JRXlsAbstractExporter.SheetInfo sheetInfo)

      Specified by:
        `createSheet` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### closeWorkbook

          protected void closeWorkbook(java.io.OutputStream os)
                                throws JRException

      Specified by:
        `closeWorkbook` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### setColumnWidth

          protected void setColumnWidth(int col,
                            int width)

      Overrides:
        `setColumnWidth` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### setRowHeight

          protected void setRowHeight(org.apache.poi.hssf.usermodel.HSSFRow row)

    - #### adjustRowHeight

          protected void adjustRowHeight(int rowHeight,
                             java.lang.Boolean isAutofit)

    - #### adjustColumnWidth

          protected void adjustColumnWidth(java.lang.String columnName,
                               int columnWidth,
                               java.lang.Boolean isAutofit)

    - #### addBlankCell

          protected void addBlankCell(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                          java.util.Map<java.lang.String,java.lang.Object> cellValueMap,
                          java.lang.String currentColumnName)
                               throws JRException

      Throws:
        `JRException`

    - #### writeCurrentRow

          protected void writeCurrentRow(java.util.Map<java.lang.String,java.lang.Object> currentRow,
                             java.util.Map<java.lang.String,java.lang.Object> repeatedValues)
                                  throws JRException

      Specified by:
        `writeCurrentRow` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### exportLine

          protected void exportLine(JRPrintLine line)
                             throws JRException

      Specified by:
        `exportLine` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### exportRectangle

          protected void exportRectangle(JRPrintGraphicElement element)
                                  throws JRException

      Specified by:
        `exportRectangle` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### exportText

          protected void exportText(JRPrintText textElement)
                             throws JRException

      Specified by:
        `exportText` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### setHyperlinkCell

          protected void setHyperlinkCell(JRPrintHyperlink hyperlink,
                              JRXlsMetadataExporter.CellSettings cellSettings)

    - #### addTextElement

          protected void addTextElement(JRXlsMetadataExporter.CellSettings cellSettings,
                            java.lang.String textStr,
                            boolean repeatValue,
                            java.lang.String currentColumnName)
                                 throws JRException

      Throws:
        `JRException`

    - #### addBlankElement

          protected void addBlankElement(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle,
                             boolean repeatValue,
                             java.lang.String currentColumnName)
                                  throws JRException

      Throws:
        `JRException`

    - #### addCell

          protected void addCell(JRXlsMetadataExporter.CellSettings cellSettings,
                     java.util.Map<java.lang.String,java.lang.Object> cellValueMap,
                     java.lang.String currentColumnName)
                          throws JRException

      Throws:
        `JRException`

    - #### getRichTextString

          protected org.apache.poi.hssf.usermodel.HSSFRichTextString getRichTextString(JRStyledText styledText,
                                                                           short forecolor,
                                                                           JRFont defaultFont,
                                                                           java.util.Locale locale)

    - #### exportImage

          public void exportImage(JRPrintImage element)
                           throws JRException

      Specified by:
        `exportImage` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(JRXlsMetadataExporter.StyleInfo style)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(short mode,
                                                                       short backcolor,
                                                                       short horizontalAlignment,
                                                                       short verticalAlignment,
                                                                       short rotation,
                                                                       org.apache.poi.hssf.usermodel.HSSFFont font,
                                                                       JRXlsMetadataExporter.BoxStyle box)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(short mode,
                                                                       short backcolor,
                                                                       short horizontalAlignment,
                                                                       short verticalAlignment,
                                                                       short rotation,
                                                                       org.apache.poi.hssf.usermodel.HSSFFont font,
                                                                       JRXlsMetadataExporter.BoxStyle box,
                                                                       boolean isCellLocked,
                                                                       boolean isCellHidden)

    - #### getBorderStyle

          protected static short getBorderStyle(JRPen pen)

    - #### getTextAlignHolder

          public static JRXlsAbstractExporter.TextAlignHolder getTextAlignHolder(JRPrintText textElement)

    - #### exportFrame

          protected void exportFrame(JRPrintFrame frame)
                              throws JRException

      Specified by:
        `exportFrame` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### exportGenericElement

          protected void exportGenericElement(JRGenericPrintElement element)
                                       throws JRException

      Specified by:
        `exportGenericElement` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### getNature

          protected ExporterNature getNature()

      Specified by:
        `getNature` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### getExporterKey

          public java.lang.String getExporterKey()

      Specified by:
        `getExporterKey` in class `JRAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`

    - #### getExporterPropertiesPrefix

          public java.lang.String getExporterPropertiesPrefix()

      Description copied from class: `JRAbstractExporter`
      Returns the properties prefix for the current exporter.
      Specified by:
        `getExporterPropertiesPrefix` in class `JRAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`
      Returns:
        the properties prefix for the current exporter

    - #### setColumnName

          protected void setColumnName(java.lang.String currentColumnName)

    - #### writeReportHeader

          protected void writeReportHeader()
                                    throws JRException

      Writes the header column names
      Throws:
        `JRException`

    - #### setSheetName

          protected void setSheetName(java.lang.String sheetName)

      Specified by:
        `setSheetName` in class `JRXlsAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### setFreezePane

          protected void setFreezePane(int rowIndex,
                           int colIndex,
                           boolean isRowEdge,
                           boolean isColumnEdge)

      Specified by:
        `setFreezePane` in class `JRXlsAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### setAutoFilter

          protected void setAutoFilter(java.lang.String autoFilterRange)

      Specified by:
        `setAutoFilter` in class `JRXlsAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### setRowLevels

          protected void setRowLevels(XlsRowLevelInfo levelInfo,
                          java.lang.String level)

      Specified by:
        `setRowLevels` in class `JRXlsAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### setScale

          protected void setScale(java.lang.Integer scale)

      Specified by:
        `setScale` in class `JRXlsAbstractExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### getWorkbookColor

          protected org.apache.poi.hssf.util.HSSFColor getWorkbookColor(java.awt.Color awtColor)

    - #### getNearestColor

          protected static org.apache.poi.hssf.util.HSSFColor getNearestColor(java.awt.Color awtColor)

    - #### getLoadedFont

          protected org.apache.poi.hssf.usermodel.HSSFFont getLoadedFont(JRFont font,
                                                             short forecolor,
                                                             java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                                             java.util.Locale locale)

    - #### createSheet

          protected void createSheet(CutsInfo xCuts,
                         JRXlsAbstractExporter.SheetInfo sheetInfo)

      Overrides:
        `createSheet` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

    - #### setRowHeight

          protected void setRowHeight(int rowIndex,
                          int lastRowHeight,
                          Cut yCut,
                          XlsRowLevelInfo levelInfo)
                               throws JRException

      Specified by:
        `setRowHeight` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### setColumnWidth

          protected void setColumnWidth(int col,
                            int width,
                            boolean autoFit)

      Specified by:
        `setColumnWidth` in class `JRXlsAbstractMetadataExporter<XlsMetadataReportConfiguration,XlsMetadataExporterConfiguration,JRXlsExporterContext>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com